Registry Medic

Registry Medic Help

Quick Start
Registry Medic Introduction
Quick Tour
How to use Registry Medic
FAQ

Iomation, Inc.
www.iomation.com


Understanding Registry Medic
Your Windows registry is so vital to the normal running of your computer that a small error can crash your entire system! Did you know that installing and uninstalling software can make your registry a mess? Under normal computer usage, we install and uninstall a lot of software, accumulating a lot of useless data in our registry! This not only causes your PC to slow down, but it also crashes and causes 'blue screens'. Registry Medic is your solution!

Registry Medic checks on your registry's health and solves any problems if necessary. It can repair incorrectly linked registry entries and can also remove invalid entries. You can choose to either correct the registry entries or simply leave them alone. Registry Medic gives you total control over your registry!

<<Next>>


What Can Registry Medical Do

What Can Registry Medic Do?
- Scan the registry using a highly intelligent engine that finds
invalid registry entries

- Repair registry entries that refer to a file/folder that has been moved

- Remove invalid registry entries

- Scan and remove invalid software data in the registry

- Scan and remove invalid Start menu data in the registry

- Open the folder that corresponds to the invalid registry data

- Find where the error occurred from the registry tool (Regedit)

- Backup your registry in four different ways (by date, hour, minute, usage),
allowing you to restore your registry with high flexibility.

- Kill Trojan viruses that use the registry to spread and do damage
NOTE:
You must be careful before you delete any entries from the registry. Fortunately, you do not have to be overly cautious, because Registry Medic backs up your registry every time it is changed. You can always go back. For information on restoring your registry, click here.

<< Previous Step | Go to Quick Tour>>


First Step

First Step: Scanning the Registry
Press 'Start Scanning' on the toolbar

Registry Medic will begin scanning your registry for invalid registry entries. You can stop scanning at any time by pressing 'Stop Scanning'. After scanning, Registry Medic will try to match invalid entries with files on the hard drive so they can be repaired. You can press 'Stop Scanning' on the toolbar at any time to stop searching for matches. All invalid entries are listed in a 'tree view' format, and they are colored to distinguish them by error type.

<<Next>>


Second Step

Second Step: Select and remove invalid registry entries
After scanning, invalid registry entries will be display in a 'tree view' format.
By default, if no match is found for a particular entry, Registry medic will delete that entry.
Every invalid entry is made up of the following parts:
  • Error Key Name (For example: HKEY_CURRENT_USER\Software\test)
  • Error Key Value
  • Actual Error Value
  • Action to take
Under normal circumstances, the default action is taken. For security purposes, you can choose which action to take by expanding the 'Action to take' tree.

Note:
Only selected entries will be treated. Use the Select button on the toolbar for a more flexible selection.


Third Step

Third Step: Repair invalid registry entries
After scanning the registry, you can press the 'Repair Registry' button on the toolbar to repair invalid registry entries. During this process, Registry Medic will do the following:
  • Backup the registry
  • Perform an action according to your selection
When backing up the registry, Registry Medic will only backup entries that are deleted or modified. You can go back to any previous backed-up state. (Refer to: Backup Options).


Backing Up The Registry
Registry Medic provides flexible backup options. Backups are created automatically when making changes to the registry. The following methods of backing-up are provided:

By Day

Registry Medic backup your registry each day. (C:\Program Files\Registry Medic\Backup\Day)

By Hour

Registry Medic backup your registry each hour. (C:\Program Files\Registry Medic\Backup\Hour)
By Minute
Registry Medic backup your registry each minute. (C:\Program Files\Registry Medic\Backup\Minute)
By Usage
Registry Medic backup your registry every time you use the program. (C:\Program Files\Registry Medic\Backup\Every)

<<Next>>


Use RegEdit to open selected invalid registry entry

Use RegEdit to open selected invalid registry entries.
Registry Medic can use RegEdit (a tool that comes with Windows for the purpose of editing the registry) to open selected registry entrie. To do this, simply select the invalid registry entry, right click and select 'Open Registry Key Using RegEdit'.

Alternatively, you can use the 'Open Registry Key Using RegEdit' button on the toolbar


Repairing registry entries
After Registry Medic has finished scanning, a list of invalid entries will be displayed.
You can then choose to repair these entries without any risk, as Registry Medic backs up your registry and can restore changed settings.
How to select and repair invalid data entries:
Selecting:

Press the 'Select' button on the toolbar. In the dropdown list there are three actions to choose from: (1) 'Select All Entries', (2) 'DeSelect All Entries', (3) 'Invert Selection'. You can then select the appropriate action. You can refine your selection by expanding each invalid registry entry category.

Repairing:

There are three ways to deal with an invalid registry entry:
      • Delete it
      • Leave it alone
      • Re-link it to a matched file

You can only use the third option if a registry entry is found to be improperly linked and a match is found in your hard drive.


Scanning for invalid information in the registry.
Once you press the 'Start Scanning' button on the toolbar, Registry Medic will begin scanning the following three main root keys and list invalid data: HKEY_CURRENT_USER, HKEY_USERS, HKEY_LOCAL_MACHINE
  • How do I exclude references made to a CD-Rom when scanning for invalid registry entries?
Go to Advanced Settings -> Program Setting and select the 'Exclude Drive' tab. Then add the drives you do not want scanned.
  • How can I set a path to search for matched files?
From the menu go to 'Advanced Settings' -> 'Program Settings' and select 'Path to search for match' tab. Then add the appropriate path.


Open referenced folder
If the invalid registry entry includes folder information, you can choose to open that folder using. It can be done as follows: Select the invalid entry, right click and Select 'Open referenced folder'.
It is also possible to open the referenced folder by pressing 'Open referenced folder' button on the tool bar


MultiLingual Support
Registry Medic supports multiple languages.
In Registry Medic's directory you will find a 'languages' folder that contains the language files with .lng extensions. By default, English (English.lng) is the language pack installed and used. Please go to http://www.iomation.com to download other language files. Copy the file to the 'languages' directory. Then go to menu 'Advanced Settings' -> 'Language' and choose your language.

Localizaton (how to make language files):
The language files are in pure text format (ascii), so you can just open any .lng files and translate the content (usually in the format of item=text). Save the file as 'YourLanguage.lng'. If more details are needed, please contact us at support@iomation.com.

<< Previous Step | Next Step >>


A note to Windows NT

A note to Windows NT/2000/XP users
  • You must install the software hile logged in with Administrator privileges. Otherwise, the program will not be able to modify your registery.
  • After installation, set the program folder for Registery Medic (C:\Program Files\Registry Medic) to Read-Only. To do this, right-click on the folder, select Properties and check the Read Only box, then select OK.
  • You must be logged in with Administrator privileges to uninstall the program.


How to Purchase Registry Medic
You can use the free trial version of Registry Medic for 30 days with limited functionality. If you would like to continue using the software after 30 days, you must order the fully functional version.
The full version of Registry Medic costs $19.95 and entitles you to the benefits listed below. Please visit us online at www.iomation.com for more information on how to purchase Registry Medic.

Benefits of Registering
  • Unlimited technical support
  • Fully functional and unlimited usage
  • Free upgrades until version 2.0
After I purchase, how to I register Registry Medic?
After you purchase Registry Medic you will receive the registration information via email. Once you receive your registration name and code, go to 'Help' on the main menu and click 'Register Software'. A window will appear which allows you to enter your registration name and code. You must then restart the software. If the 'Register Software' item has been greyed-out, then you know you have successfully registered the software. Detailed registration instructions are included with your order confirmation.
Note:
If you have any questions about registering Registry Medic, please contact us at support@iomation.com.


Frequently Asked Questions

Frequently Asked Questions (FAQ)
How do I exclude references made to a CD-Rom drive when scanning for invalid registry entries?
How can I set a path to search for matched files?
How can I restore my registry to the way it was before it was last modified by Registry Medic?
How do I uninstall Registry Medic?

How do I order and register Registry Medic?

Answers

Q: How do I exclude references made to a CD-Rom drive when scanning for invalid registry entries?
A: Go to 'Advanced Settings' -> 'Program Setting' and select the 'Exclude Drive' tab. Then add the drives you do not want scanned.

<<Back to Top>>

Q: How can I set a path to search for matched files?
A: From the menu, go to 'Advanced Settings' -> 'Program Settings' and select the 'Path to search for match' tab. Then add the appropriate path.

<<Back to Top>>

Q: How can I restore my registry to the way it was before it was last modified by Registry Medic?
A: Click on the 'Action' tab and go to 'Restore Registry'. Note: Before restoring, go to 'Program Settings' and click the 'Other' tab. Then select 'Backup by usage'.

<<Back to Top>>

Q: How do I uninstall Registry Medic?
A: To uninstall Registry Medic, please do the following:
1. Click on your Start menu and go to Programs.
2. Find Registry Medic
3. Click Uninstall Registry Medic and follow the instructions

Alternatively:
1. Click on the Start menu and go to Settings.
2. Open your Control Panel.
3. Double click the Add/Remove Programs icon.
4. Select Registry Medic from the list and click Add/Remove.

<<Back to Top>>

Q: How do I order and register Registry Medic?
A: You can use the free trial version of Registry Medic for 30 days with limited functionality. If you would like to continue using the software after 30 days, you must order the fully functional version.
The full version of Registry Medic costs $19.95 and entitles you to the benefits listed below. Please visit us online at www.iomation.com for more information on how to purchase Registry Medic.

Benefits of Registering
  • Technical support
  • Fully functional and unlimited usage
  • Minor upgrades at no charge
How to Register Registry Medic?
After you purchase Registry Medic you will receive the registration information via email. Once you receive your registration, go to 'Help' on the main menu and click 'Register Software'. A window will appear which allows you to enter your registration name and code. You must then restart the software. If the 'Register Software' item has been greyed-out, then you know you have successfully registered the software. Detailed registration instructions are included with your order confirmation.
Note:
If you have any questions about registering Registry Medic, please contact us at support@iomation.com.

<<Back to Top>>


Company Info

Iomation is a software support and marketing company specializing in multimedia, business utility and other applications designed for business and home users alike.

Iomation uses only the best software programmers, tools, and resources to offer quality software programs at great prices.

Located in the United States just north of Salt Lake City, Utah, Iomation began offering commercial software products in 2001.

For questions about our company or our products, please feel free to contact us: info@iomation.com.